from xtr import logging
from mtf.network_port.channels.channel_factory import ChannelFactory
from mtf_basic_tuto_fixture import MTFBasicTutoFixture
import sys
import os
sys.path.append(os.path.join(os.path.dirname(__file__), ".."))

logger = logging.getLogger(__name__)


class FixtureFramesTransmission(MTFBasicTutoFixture):

    @classmethod
    def setUpClass(cls):
        logger.info(
            "Message from FixtureFramesTransmission setUpClass function"
        )

    @classmethod
    def tearDownClass(cls):
        logger.info(
            "Message from FixtureFramesTransmission tearDownClass function"
        )

    def setUp(self):
        logger.info(
            "Message from FixtureFramesTransmission setUp function"
        )

    def tearDown(self):
        logger.info(
            "Message from FixtureFramesTransmission tearDown function"
        )
